Bug 178771

Summary: [FrameView::layout cleanup] Move core layout logic to a separate class.
Product: WebKit Reporter: zalan <zalan>
Component: Layout and RenderingAssignee: zalan <zalan>
Status: RESOLVED FIXED    
Severity: Normal CC: bfulgham, buildbot, commit-queue, koivisto, rniwa, simon.fraser, webkit-bug-importer, zalan
Priority: P2 Keywords: InRadar
Version: WebKit Nightly Build   
Hardware: Unspecified   
OS: Unspecified   
Attachments:
Description Flags
Patch
none
Patch
none
Patch
none
Patch
none
Patch
none
Patch
none
Patch
none
Patch
none
Patch
none
Patch
none
Patch
none
Archive of layout-test-results from ews100 for mac-elcapitan
none
Archive of layout-test-results from ews103 for mac-elcapitan
none
Archive of layout-test-results from ews102 for mac-elcapitan
none
Patch
none
Archive of layout-test-results from ews114 for mac-elcapitan
none
Archive of layout-test-results from ews115 for mac-elcapitan
none
Archive of layout-test-results from ews116 for mac-elcapitan
none
Patch
none
Archive of layout-test-results from ews105 for mac-elcapitan-wk2
none
Patch
none
Patch
none
Patch
none
Patch
none
Archive of layout-test-results from ews115 for mac-elcapitan
none
Patch
none
Archive of layout-test-results from ews100 for mac-elcapitan
none
Archive of layout-test-results from ews117 for mac-elcapitan
none
Archive of layout-test-results from ews122 for ios-simulator-wk2
none
Patch
none
Archive of layout-test-results from ews104 for mac-elcapitan-wk2
none
Patch
none
Patch
none
Patch
none
Patch none

Description zalan 2017-10-24 21:08:25 PDT
LayoutController.
Comment 1 Radar WebKit Bug Importer 2017-10-24 21:08:57 PDT
<rdar://problem/35166542>
Comment 2 zalan 2017-10-24 21:12:38 PDT
Created attachment 324790 [details]
Patch
Comment 3 zalan 2017-10-24 21:25:40 PDT
Created attachment 324792 [details]
Patch
Comment 4 zalan 2017-10-25 07:14:40 PDT
Created attachment 324817 [details]
Patch
Comment 5 zalan 2017-10-25 09:24:48 PDT
Created attachment 324832 [details]
Patch
Comment 6 zalan 2017-10-25 11:09:55 PDT
Created attachment 324850 [details]
Patch
Comment 7 zalan 2017-10-25 12:31:38 PDT
Created attachment 324864 [details]
Patch
Comment 8 zalan 2017-10-25 13:08:34 PDT
Created attachment 324873 [details]
Patch
Comment 9 zalan 2017-10-25 13:27:25 PDT
Created attachment 324879 [details]
Patch
Comment 10 zalan 2017-10-25 13:57:31 PDT
Created attachment 324890 [details]
Patch
Comment 11 zalan 2017-10-25 14:32:11 PDT
Created attachment 324896 [details]
Patch
Comment 12 zalan 2017-10-25 14:51:33 PDT
Created attachment 324898 [details]
Patch
Comment 13 Build Bot 2017-10-25 14:57:48 PDT
Comment on attachment 324890 [details]
Patch

Attachment 324890 [details] did not pass mac-ews (mac):
Output: http://webkit-queues.webkit.org/results/4988591

New failing tests:
compositing/iframes/page-cache-layer-tree.html
Comment 14 Build Bot 2017-10-25 14:57:49 PDT
Created attachment 324903 [details]
Archive of layout-test-results from ews100 for mac-elcapitan

The attached test failures were seen while running run-webkit-tests on the mac-ews.
Bot: ews100  Port: mac-elcapitan  Platform: Mac OS X 10.11.6
Comment 15 Build Bot 2017-10-25 15:28:18 PDT
Comment on attachment 324896 [details]
Patch

Attachment 324896 [details] did not pass mac-ews (mac):
Output: http://webkit-queues.webkit.org/results/4988989

New failing tests:
compositing/iframes/page-cache-layer-tree.html
Comment 16 Build Bot 2017-10-25 15:28:19 PDT
Created attachment 324907 [details]
Archive of layout-test-results from ews103 for mac-elcapitan

The attached test failures were seen while running run-webkit-tests on the mac-ews.
Bot: ews103  Port: mac-elcapitan  Platform: Mac OS X 10.11.6
Comment 17 Build Bot 2017-10-25 15:43:42 PDT
Comment on attachment 324898 [details]
Patch

Attachment 324898 [details] did not pass mac-ews (mac):
Output: http://webkit-queues.webkit.org/results/4989163

New failing tests:
compositing/iframes/page-cache-layer-tree.html
Comment 18 Build Bot 2017-10-25 15:43:43 PDT
Created attachment 324910 [details]
Archive of layout-test-results from ews102 for mac-elcapitan

The attached test failures were seen while running run-webkit-tests on the mac-ews.
Bot: ews102  Port: mac-elcapitan  Platform: Mac OS X 10.11.6
Comment 19 zalan 2017-10-25 16:06:16 PDT
Created attachment 324914 [details]
Patch
Comment 20 Build Bot 2017-10-25 16:19:03 PDT
Comment on attachment 324896 [details]
Patch

Attachment 324896 [details] did not pass mac-debug-ews (mac):
Output: http://webkit-queues.webkit.org/results/4989327

New failing tests:
compositing/iframes/page-cache-layer-tree.html
Comment 21 Build Bot 2017-10-25 16:19:05 PDT
Created attachment 324915 [details]
Archive of layout-test-results from ews114 for mac-elcapitan

The attached test failures were seen while running run-webkit-tests on the mac-debug-ews.
Bot: ews114  Port: mac-elcapitan  Platform: Mac OS X 10.11.6
Comment 22 Build Bot 2017-10-25 16:20:11 PDT
Comment on attachment 324890 [details]
Patch

Attachment 324890 [details] did not pass mac-debug-ews (mac):
Output: http://webkit-queues.webkit.org/results/4989436

New failing tests:
compositing/iframes/page-cache-layer-tree.html
Comment 23 Build Bot 2017-10-25 16:20:12 PDT
Created attachment 324916 [details]
Archive of layout-test-results from ews115 for mac-elcapitan

The attached test failures were seen while running run-webkit-tests on the mac-debug-ews.
Bot: ews115  Port: mac-elcapitan  Platform: Mac OS X 10.11.6
Comment 24 Build Bot 2017-10-25 16:52:36 PDT
Comment on attachment 324898 [details]
Patch

Attachment 324898 [details] did not pass mac-debug-ews (mac):
Output: http://webkit-queues.webkit.org/results/4989705

New failing tests:
compositing/iframes/page-cache-layer-tree.html
Comment 25 Build Bot 2017-10-25 16:52:37 PDT
Created attachment 324924 [details]
Archive of layout-test-results from ews116 for mac-elcapitan

The attached test failures were seen while running run-webkit-tests on the mac-debug-ews.
Bot: ews116  Port: mac-elcapitan  Platform: Mac OS X 10.11.6
Comment 26 Ryosuke Niwa 2017-10-25 16:54:40 PDT
Comment on attachment 324914 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=324914&action=review

> Source/WebCore/page/FrameView.h:917
> +    LayoutController m_layoutController;

Oh, a layout controller is a persistent object. I guess it's okay to call it a controller in that case (as opposed to LayoutContext).
Comment 27 zalan 2017-10-25 18:47:18 PDT
Created attachment 324939 [details]
Patch
Comment 28 Build Bot 2017-10-25 19:07:59 PDT
Comment on attachment 324898 [details]
Patch

Attachment 324898 [details] did not pass mac-wk2-ews (mac-wk2):
Output: http://webkit-queues.webkit.org/results/4991845

New failing tests:
http/tests/misc/object-embedding-svg-delayed-size-negotiation-2.htm
compositing/iframes/page-cache-layer-tree.html
http/tests/appcache/decide-navigation-policy-after-delay.html
Comment 29 Build Bot 2017-10-25 19:08:00 PDT
Created attachment 324941 [details]
Archive of layout-test-results from ews105 for mac-elcapitan-wk2

The attached test failures were seen while running run-webkit-tests on the mac-wk2-ews.
Bot: ews105  Port: mac-elcapitan-wk2  Platform: Mac OS X 10.11.6
Comment 30 zalan 2017-10-25 19:31:26 PDT
Created attachment 324943 [details]
Patch
Comment 31 zalan 2017-10-25 21:25:43 PDT
Created attachment 324954 [details]
Patch
Comment 32 zalan 2017-10-26 07:22:26 PDT
Created attachment 325010 [details]
Patch
Comment 33 zalan 2017-10-26 15:03:50 PDT
Created attachment 325060 [details]
Patch
Comment 34 Build Bot 2017-10-26 16:29:05 PDT
Comment on attachment 325060 [details]
Patch

Attachment 325060 [details] did not pass mac-debug-ews (mac):
Output: http://webkit-queues.webkit.org/results/5003891

New failing tests:
fast/repaint/fixed-right-bottom-in-page-scale.html
fullscreen/full-screen-restrictions.html
Comment 35 Build Bot 2017-10-26 16:29:07 PDT
Created attachment 325078 [details]
Archive of layout-test-results from ews115 for mac-elcapitan

The attached test failures were seen while running run-webkit-tests on the mac-debug-ews.
Bot: ews115  Port: mac-elcapitan  Platform: Mac OS X 10.11.6
Comment 36 zalan 2017-10-26 18:19:29 PDT
Created attachment 325092 [details]
Patch
Comment 37 Build Bot 2017-10-26 19:29:38 PDT
Comment on attachment 325092 [details]
Patch

Attachment 325092 [details] did not pass mac-ews (mac):
Output: http://webkit-queues.webkit.org/results/5006393

New failing tests:
imported/blink/fast/frames/frameset-dynamic-resize.html
fast/parser/fragment-with-frameset-crash.html
http/tests/loading/unfinished-main-resource-back-to-cached-page-callbacks.html
inspector/dom/push-node-by-path-to-frontend.html
fast/frames/frameset-frameborder-inheritance.html
accessibility/frame-disconnect-textmarker-cache-crash.html
fast/frames/frameset-frameborder-boolean-values.html
fast/frames/frameset-frameborder-overrides-border.html
fast/frames/negative-remaining-length-crash.html
accessibility/mac/document-attributes.html
Comment 38 Build Bot 2017-10-26 19:29:39 PDT
Created attachment 325100 [details]
Archive of layout-test-results from ews100 for mac-elcapitan

The attached test failures were seen while running run-webkit-tests on the mac-ews.
Bot: ews100  Port: mac-elcapitan  Platform: Mac OS X 10.11.6
Comment 39 Build Bot 2017-10-26 19:45:56 PDT
Comment on attachment 325092 [details]
Patch

Attachment 325092 [details] did not pass mac-debug-ews (mac):
Output: http://webkit-queues.webkit.org/results/5006420

New failing tests:
imported/blink/fast/frames/frameset-dynamic-resize.html
http/tests/loading/unfinished-main-resource-back-to-cached-page-callbacks.html
fast/parser/fragment-with-frameset-crash.html
accessibility/frame-disconnect-textmarker-cache-crash.html
inspector/dom/push-node-by-path-to-frontend.html
fast/frames/frameset-frameborder-inheritance.html
fast/frames/frameset-frameborder-boolean-values.html
fast/frames/frameset-frameborder-overrides-border.html
fast/frames/negative-remaining-length-crash.html
accessibility/mac/document-attributes.html
Comment 40 Build Bot 2017-10-26 19:45:58 PDT
Created attachment 325102 [details]
Archive of layout-test-results from ews117 for mac-elcapitan

The attached test failures were seen while running run-webkit-tests on the mac-debug-ews.
Bot: ews117  Port: mac-elcapitan  Platform: Mac OS X 10.11.6
Comment 41 Build Bot 2017-10-26 20:23:58 PDT
Comment on attachment 325092 [details]
Patch

Attachment 325092 [details] did not pass ios-sim-ews (ios-simulator-wk2):
Output: http://webkit-queues.webkit.org/results/5006717

New failing tests:
imported/blink/fast/frames/frameset-dynamic-resize.html
fast/parser/fragment-with-frameset-crash.html
Comment 42 Build Bot 2017-10-26 20:24:00 PDT
Created attachment 325108 [details]
Archive of layout-test-results from ews122 for ios-simulator-wk2

The attached test failures were seen while running run-webkit-tests on the ios-sim-ews.
Bot: ews122  Port: ios-simulator-wk2  Platform: Mac OS X 10.12.6
Comment 43 zalan 2017-10-26 20:52:47 PDT
Created attachment 325115 [details]
Patch
Comment 44 Build Bot 2017-10-26 21:23:37 PDT
Comment on attachment 325092 [details]
Patch

Attachment 325092 [details] did not pass mac-wk2-ews (mac-wk2):
Output: http://webkit-queues.webkit.org/results/5007354

New failing tests:
imported/blink/fast/frames/frameset-dynamic-resize.html
fast/parser/fragment-with-frameset-crash.html
fast/frames/frame-set-same-location.html
fast/frames/frame-set-scaling-rotate.html
css3/viewport-percentage-lengths/vh-auto-size.html
accessibility/mac/document-attributes.html
Comment 45 Build Bot 2017-10-26 21:23:39 PDT
Created attachment 325122 [details]
Archive of layout-test-results from ews104 for mac-elcapitan-wk2

The attached test failures were seen while running run-webkit-tests on the mac-wk2-ews.
Bot: ews104  Port: mac-elcapitan-wk2  Platform: Mac OS X 10.11.6
Comment 46 zalan 2017-10-26 21:47:57 PDT
Created attachment 325125 [details]
Patch
Comment 47 Build Bot 2017-10-26 21:50:04 PDT
Attachment 325125 [details] did not pass style-queue:


ERROR: Source/WebCore/accessibility/AccessibilityRenderObject.cpp:677:  Please replace ASSERT_WITH_SECURITY_IMPLICATION() with RELEASE_ASSERT_WITH_SECURITY_IMPLICATION().  [security/assertion] [5]
Total errors found: 1 in 34 files


If any of these errors are false positives, please file a bug against check-webkit-style.
Comment 48 zalan 2017-10-27 13:59:57 PDT
Created attachment 325196 [details]
Patch
Comment 49 Build Bot 2017-10-27 14:03:37 PDT
Attachment 325196 [details] did not pass style-queue:


ERROR: Source/WebCore/accessibility/AccessibilityRenderObject.cpp:677:  Please replace ASSERT_WITH_SECURITY_IMPLICATION() with RELEASE_ASSERT_WITH_SECURITY_IMPLICATION().  [security/assertion] [5]
Total errors found: 1 in 36 files


If any of these errors are false positives, please file a bug against check-webkit-style.
Comment 50 Simon Fraser (smfr) 2017-10-27 15:08:25 PDT
Comment on attachment 325196 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=325196&action=review

> Source/WebCore/ChangeLog:9
> +        Move layout code out from FrameView to LayoutContext.

A few more words here.
Comment 51 zalan 2017-10-27 15:35:18 PDT
Created attachment 325208 [details]
Patch
Comment 52 Build Bot 2017-10-27 15:38:11 PDT
Attachment 325208 [details] did not pass style-queue:


ERROR: Source/WebCore/accessibility/AccessibilityRenderObject.cpp:677:  Please replace ASSERT_WITH_SECURITY_IMPLICATION() with RELEASE_ASSERT_WITH_SECURITY_IMPLICATION().  [security/assertion] [5]
Total errors found: 1 in 36 files


If any of these errors are false positives, please file a bug against check-webkit-style.
Comment 53 zalan 2017-10-27 21:42:26 PDT
Created attachment 325241 [details]
Patch
Comment 54 Build Bot 2017-10-27 21:44:55 PDT
Attachment 325241 [details] did not pass style-queue:


ERROR: Source/WebCore/accessibility/AccessibilityRenderObject.cpp:677:  Please replace ASSERT_WITH_SECURITY_IMPLICATION() with RELEASE_ASSERT_WITH_SECURITY_IMPLICATION().  [security/assertion] [5]
Total errors found: 1 in 36 files


If any of these errors are false positives, please file a bug against check-webkit-style.
Comment 55 WebKit Commit Bot 2017-10-28 08:25:03 PDT
Comment on attachment 325241 [details]
Patch

Clearing flags on attachment: 325241

Committed r224150: <https://trac.webkit.org/changeset/224150>
Comment 56 WebKit Commit Bot 2017-10-28 08:25:05 PDT
All reviewed patches have been landed.  Closing bug.